Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 692566 - media-video/ffmpeg-4.2 - QA Notice: Files built without respecting CFLAGS have been detected: /usr/lib64/chromium/libffmpeg.so
Summary: media-video/ffmpeg-4.2 - QA Notice: Files built without respecting CFLAGS hav...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: James Le Cuirot
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-19 19:35 UTC by Conrad Kostecki
Modified: 2019-09-06 22:28 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Conrad Kostecki 2019-08-19 19:35:48 UTC
* QA Notice: Files built without respecting CFLAGS have been detected
 *  Please include the following list of files in your report:
 * /usr/lib64/chromium/libffmpeg.so
Comment 1 Jeroen Roovers gentoo-dev 2019-08-22 08:53:56 UTC
Please attach the entire build log to this bug report.
Please post your `emerge --info media-video/ffmpeg` output in a comment.
Comment 2 James Le Cuirot gentoo-dev 2019-09-02 22:28:35 UTC
It's okay, I've reproduced it. Don't know why it's happening yet.
Comment 3 Larry the Git Cow gentoo-dev 2019-09-06 22:28:22 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4f278afcd6705e183e342fbdf062f524cd24838d

commit 4f278afcd6705e183e342fbdf062f524cd24838d
Author:     James Le Cuirot <chewi@gentoo.org>
AuthorDate: 2019-09-06 22:25:18 +0000
Commit:     James Le Cuirot <chewi@gentoo.org>
CommitDate: 2019-09-06 22:25:18 +0000

    media-video/ffmpeg: Skip QA_FLAGS_IGNORED for non-separate libffmpeg
    
    When not built separately, libffmpeg has no code of its own so this QA
    check raises a false positive.
    
    Closes: https://bugs.gentoo.org/692566
    Package-Manager: Portage-2.3.75, Repoman-2.3.17
    Signed-off-by: James Le Cuirot <chewi@gentoo.org>

 media-video/ffmpeg/ffmpeg-4.2.ebuild  | 4 ++++
 media-video/ffmpeg/ffmpeg-9999.ebuild | 4 ++++
 2 files changed, 8 insertions(+)